## golang-github-openvex-go-vex 0.2.7

=== Makefile ===
# Copyright 2023 The OpenVEX Authors
# SPDX-License-Identifier: Apache-2.0

# Get the currently used golang install path (in GOPATH/bin, unless GOBIN is set)
ifeq (,$(shell go env GOBIN))
GOBIN=$(shell go env GOPATH)/bin
else
GOBIN=$(shell go env GOBIN)
endif

# Set version variables for LDFLAGS
GIT_VERSION ?= $(shell git describe --tags --always --dirty)
GIT_HASH ?= $(shell git rev-parse HEAD)
DATE_FMT = +%Y-%m-%dT%H:%M:%SZ
SOURCE_DATE_EPOCH ?= $(shell git log -1 --pretty=%ct)
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif
GIT_TREESTATE = "clean"
DIFF = $(shell git diff --quiet >/dev/null 2>&1; if [ $$? -eq 1 ]; then echo "1"; fi)
ifeq ($(DIFF), 1)
    GIT_TREESTATE = "dirty"
endif

LDFLAGS=-buildid= -X sigs.k8s.io/release-utils/version.gitVersion=$(GIT_VERSION) \
        -X sigs.k8s.io/release-utils/version.gitCommit=$(GIT_HASH) \
        -X sigs.k8s.io/release-utils/version.gitTreeState=$(GIT_TREESTATE) \
        -X sigs.k8s.io/release-utils/version.buildDate=$(BUILD_DATE)

## Build
.PHONY: pkg
pkg: ## Build pkg
	go build -trimpath -ldflags "$(LDFLAGS)" ./...

.PHONY: build
build: pkg

## Tests
.PHONY: test
test:
	go test -v ./...

.PHONY: test-cover
test-cover:
	go test -v -coverprofile=coverage.out ./...
	go tool cover -html=coverage.out -o coverage.html

=== debian/changelog ===
golang-github-openvex-go-vex (0.2.7-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Adjust Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Feb 2026 09:21:04 +0100

golang-github-openvex-go-vex (0.2.7-1) unstable; urgency=medium

  * Initial release (Closes: #1121257)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Nov 2025 21:54:30 +0100

=== debian/control ===
Source: golang-github-openvex-go-vex
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-owenrumney-go-sarif-dev,
 golang-github-package-url-packageurl-go-dev,
 golang-gopkg-yaml.v3-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openvex-go-vex
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openvex-go-vex.git
Homepage: https://github.com/openvex/go-vex
XS-Go-Import-Path: github.com/openvex/go-vex

Package: golang-github-openvex-go-vex-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-owenrumney-go-sarif-dev,
 golang-github-package-url-packageurl-go-dev,
 golang-gopkg-yaml.v3-dev,
 ${misc:Depends},
Description: generate and transform VEX documents (Go library)
 Go library for generating, consuming, and operating on Vulnerability
 Exploitability eXchange (VEX) documents
 .
 This repository contains the OpenVEX Go source code. This module lets
 authors create, modify and manage VEX documents.
 .
 For more information about the OpenVEX specification implemented by this
 module, check out the OpenVEX specification:
 https://github.com/openvex/spec/blob/main/OPENVEX-SPEC.md
 .
 This package contains the Go development library.

=== debian/watch ===
Version: 5
Template: Github
Owner: openvex
Project: go-vex
